Retrieves the project status with the specified key

Request Information

URI Parameters :

NameDescriptionTypeAdditional information
id

globally unique identifier

Required

Body Parameters :

None.

Response Information

Resource Description :

IHttpActionResult

project_status
NameDescriptionTypeAdditional information
id

Primary Key

globally unique identifier
name

Name of the project status

string

Required

Max length: 50

is_default

Is default (auto selected when creating new project)

boolean
is_closed

Inform if this status means that the project/installation is archived

boolean

Required

sales_organization_id

FK of sales_organization. Filled if specific of one SO, empty if can be used by all

globally unique identifier
sales_organization_code

Embedded entity "sales_organization" using ERP PK when adding/updating project_status

string
sales_organization

Embedded entity "sales_organization" when adding/updating project_status

sales_organization
code

Field used for Embedded entity (store there your ERP PK)

string

Max length: 255

modified_dateutc

Readonly system field managed by database, filled with GetUtcDate when adding,updating

date

Response Formats

application/json, text/json

Sample:
{
  "id": "05ffbf3e-09dd-4816-b68e-a87e8070ccdc",
  "name": "sample string 2",
  "is_default": true,
  "is_closed": true,
  "sales_organization_id": "72fb6073-408b-49eb-b94f-e2dd735c46d0",
  "sales_organization_code": "sample string 6",
  "sales_organization": {
    "id": "258f16e7-c7a8-472a-9ebd-10c5bb0aaee2",
    "code": "sample string 2",
    "name": "sample string 3",
    "description": "sample string 4",
    "db_country_id": "2dfbda71-d88f-46b8-93f5-63e656483daa",
    "db_currency_id": "f22692b8-e3fc-4426-a6ce-87a71ccf4094",
    "db_language_id": "6a3427cb-c975-41aa-b373-e8ce6b958f02",
    "accountancy_code": "sample string 8",
    "archived": true,
    "default_unit_of_measure_system_type": "sample string 10",
    "street": "sample string 11",
    "street2": "sample string 12",
    "street_number": "sample string 13",
    "zip": "sample string 14",
    "city": "sample string 15",
    "email": "sample string 16",
    "phone": "sample string 17",
    "fax": "sample string 18",
    "url": "sample string 19",
    "vat_reg_code": "sample string 20",
    "modified_dateutc": "2026-10-28T21:47:53.6652394+00:00"
  },
  "code": "sample string 7",
  "modified_dateutc": "2026-10-28T21:47:53.6652394+00:00"
}